Subject: logo

From: "Joe Broderick" <[email-masked]>
Date: Thu, 22 Jun 2000 12:28:33 -0700

logo could be a man with a brief case. (like school Xing sign)

IBM tryed to use Charlie Chaplan years ago the market 
changed and few remember what Chaplan has to do with
computers.

like a road sign that represents a school crossing is familiar
to most, that is a yellow sign with a couple of kids with large round
heads is an affective way of saying that we should slow down and 
not run over the children.

My idea for a logo for schemer.org could be similar, in that those
who are educators of scheme are concerned about the progeny and those
educated in scheme are shown to be supported. The man with a briefcase
is moving with a healthy stride is indicative of progressive and the briefcase
gives the idea of being effective and successful.